from wagtail import blocks
from wagtail.fields import StreamField

from dnscms.blocks import FeaturedBlock, HorizontalRuleBlock, ImageSliderBlock, ImageWithTextBlock

CommonStreamField = StreamField(
    [
        ("paragraph", blocks.RichTextBlock(label="Rik tekst")),
        ("image", ImageWithTextBlock(label="Bilde")),
        ("image_slider", ImageSliderBlock(label="Bildegalleri")),
        ("horizontal_rule", HorizontalRuleBlock(label="Skillelinje")),
        ("featured", FeaturedBlock(label="Fremhevet underside")),
    ],
    default=[("paragraph", "")],
)
